> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# MLST Results

GET the structured MLST result for a single analysis — the assigned sequence type (ST), the per-locus allele calls, and the MLST scheme used. The returned JSON has the following top-level structure:

| Property | Description |
| - | - |
| **panelResults** *object* | An object consisting of 1 or more "sub-panels", which include detailed alignment statistics (e.g., coverage, depth, etc.) for marker alleles used to determine sequence types (format below). |
| **mlstResults** *object* | An object containing sequence type information and detected alleles. |

The `panel_results` object itself contains 1 or more sub-panels which describe alignment statistics for all `markers`. Each marker is a separate allele that is used to determine a sequence type. The markers themselves contain the following fields.

| Property | Description |
| - | - |
| **name** *string* | The name of the marker sequence, this includes the gene and allele number. |
| **status** *string* | Whether the marker sequence is 'present', 'probable', or 'absent'. This determination is based on the below fields, but cutoff values may differ between panels. The *default* thresholds are identity and coverage `>= 99%` for "present" and `>= 95%` for "probable" |
| **length** *integer* | The length of the marker sequence. |
| **pct\_identity** *number* | The percent identity of the detected marker sequence in the sample. |
| **coverage** *number* | The breadth of coverage of the detected marker sequence in the sample. |
| **depth** *number* | The depth of coverage for the detected marker sequence in the sample. |
| **n\_reads** *integer* | The number of reads aligned to the marker sequence. |

> [!WARNING]
>
> **Warning**: The above JSON format is not guaranteed to remain stable, though we do not expect to substantively alter the meaning of any fields. Please use caution and include fallbacks when writing non-exploratory code using the above route. Please also feel free to [reach out](mailto:support@onecodex.com) if you'd like to discuss this format and any forthcoming changes with us.


## OpenAPI

````yaml GET /api/v1/mlsts/{id}/results
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/mlsts/{id}/results:
    get:
      summary: GET mlsts results
      operationId: get_mlsts_results
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  mlstResults:
                    properties:
                      results:
                        items:
                          properties:
                            alleles:
                              items:
                                properties:
                                  allele:
                                    title: Allele
                                    type: integer
                                  gene:
                                    title: Gene
                                    type: string
                                required:
                                  - allele
                                  - gene
                                title: _MlstAllele
                                type: object
                              title: Alleles
                              type: array
                            metadata:
                              items:
                                additionalProperties: true
                                type: object
                              title: Metadata
                              type: array
                            st:
                              title: St
                              type: integer
                          required:
                            - alleles
                            - metadata
                            - st
                          title: _MlstResult
                          type: object
                        title: Results
                        type: array
                      summary:
                        properties:
                          complete_match:
                            title: Complete Match
                            type: boolean
                          mlst:
                            anyOf:
                              - type: integer
                              - type: 'null'
                            default: null
                            title: Mlst
                          n_alleles_matched:
                            title: N Alleles Matched
                            type: integer
                          n_alleles_total:
                            title: N Alleles Total
                            type: integer
                        required:
                          - complete_match
                          - n_alleles_matched
                          - n_alleles_total
                        title: _MlstSummary
                        type: object
                    required:
                      - results
                      - summary
                    title: _MlstResults
                    type: object
                  panelResults:
                    title: Panelresults
                required:
                  - mlstResults
                  - panelResults
                title: MlstResultsResponse
                type: object
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.